/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */

package ca.uvic.csr.shrimp.DisplayBean.ArcStyle;

import java.io.Serializable;

/**
 * This is the dotted line Arc style used to display a multiple short coloured lines between two nodes.
 *
 * @author Casey Best
 * date: Sept 14, 2001
 * @see ArcStyle
 */

public class StraightDottedLineArcStyle extends StraightLineArcStyle implements Serializable {
	public final static String STRAIGHT_DOTTED_STYLE = "Dotted Line - Straight";

    /**
     * Constructs a NormalArcStyle to render a specific arc
     */
	public StraightDottedLineArcStyle () {
		super (STRAIGHT_DOTTED_STYLE, true);
	}

	public Object clone() {
		ArcStyle style = new StraightDottedLineArcStyle();
		return style;
	}
	
}
